Subject: IDE woos in BE mode 2.6 kernel

From: Jun Sun <[email-masked]>
Date: Thu, 24 Jun 2004 16:45:51 -0700

Anybody has tried IDE disks in big endian mode with 2.6 kernel?
I seem to have troubles with Malta board.

Current malta board has CONFIG_SWAP_IO_SPACE defined and therefore
all inw, inl and their friends are byte-swapped in BE mode.  As a
results all IDE IO ops (such as ide_inw, etc) do swapping too.

A quick experiement shows those IDE IO ops should not do swapping.
Anybody knows why?

Apparently fixing the above is not enough.  I either encountered
failure to read partition table or having DMA error.  Any clues
here?

I suppose this problem really should exist for other arches
with BE support.  Anybody knows how other arches deal with this?

Thanks.

Jun

---

From: Geert Uytterhoeven <[email-masked]>
Date: Fri, 25 Jun 2004 10:45:03 +0200 (MEST)

> with BE support.  Anybody knows how other arches deal with this?

My Amiga is happily running 2.6.7 and doesn't have problems with IDE, so m68k
is not affected.

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds